package controller

import (
	"github.com/gin-gonic/gin"
	"trading-go/model"
	"trading-go/response"
)

func Register(c *gin.Context) {
	var user model.User
	user.Uid = c.PostForm("uid")
	user.Name = c.PostForm("name")
	user.Avatar = c.PostForm("avatar")
	err := user.Register()
	if err != nil {
		msg := err.Error()
		response.Fail(c.Writer, msg, 500)
	} else {
		msg := "register succeed"
		response.Success(c.Writer, msg, nil)
	}
}
